% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/execution-context.R
\name{db_context_command_status}
\alias{db_context_command_status}
\title{Get Information About a Command}
\usage{
db_context_command_status(
  cluster_id,
  context_id,
  command_id,
  host = db_host(),
  token = db_token(),
  perform_request = TRUE
)
}
\arguments{
\item{cluster_id}{The ID of the cluster to create the context for.}

\item{context_id}{The ID of the execution context.}

\item{command_id}{The ID of the command to get information about.}

\item{host}{Databricks workspace URL, defaults to calling \code{\link[=db_host]{db_host()}}.}

\item{token}{Databricks workspace token, defaults to calling \code{\link[=db_token]{db_token()}}.}

\item{perform_request}{If \code{TRUE} (default) the request is performed, if
\code{FALSE} the httr2 request is returned \emph{without} being performed.}
}
\description{
Get Information About a Command
}
\seealso{
Other Execution Context API: 
\code{\link{db_context_command_cancel}()},
\code{\link{db_context_command_parse}()},
\code{\link{db_context_command_run}()},
\code{\link{db_context_command_run_and_wait}()},
\code{\link{db_context_create}()},
\code{\link{db_context_destroy}()},
\code{\link{db_context_status}()}
}
\concept{Execution Context API}
